%bcond plugin_tests 0

Name:           vim-editorconfig
Summary:        EditorConfig Vim Plugin
Version:        1.2.0
Release:    2%{?dist}

%global core_tests_commit 5ca0b296dc31124d0303895c163013450bd97958
%global core_tests_url https://github.com/editorconfig/editorconfig-core-test/
%global plugin_tests_commit cb7ae15d16ab3d72a1139f7a629b11cfe16d972f
%global plugin_tests_url https://github.com/editorconfig/editorconfig-plugin-tests/

License:        BSD-2-Clause AND (BSD-2-Clause AND PSF-2.0)
URL:            https://github.com/editorconfig/editorconfig-vim
Source0:        %{url}/archive/v%{version}/editorconfig-vim-%{version}.tar.gz
Source1:        %{core_tests_url}/archive/%{core_tests_commit}/editorconfig-core-test-%{core_tests_commit}.tar.gz
Source2:        %{plugin_tests_url}/archive/%{plugin_tests_commit}/editorconfig-plugin-tests-%{plugin_tests_commit}.tar.gz

BuildArch:      noarch

BuildRequires:  editorconfig
BuildRequires:  vim-enhanced
BuildRequires:  cmake
%if %{with plugin_tests}
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  rubygem(rake)
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(vimrunner)
%endif

Requires:       vim-filesystem
Requires:       editorconfig

%description
This is an EditorConfig plugin for Vim.


%prep
%autosetup -n editorconfig-vim-%{version}

rm -rvf tests/core/tests
%setup -q -T -D -b 1 -n editorconfig-vim-%{version}
cp -rp ../editorconfig-core-test-%{core_tests_commit} tests/core/tests
%if %{with plugin_tests}
rm -rvf tests/plugin/spec/plugin_tests
%setup -q -T -D -b 2 -n editorconfig-vim-%{version}
cp -rp ../editorconfig-plugin-tests-%{plugin_tests_commit} \
    tests/plugin/spec/plugin_tests
%endif

chmod -v a-x LICENSE.PSF


%build
pushd tests/core
%cmake
%cmake_build
popd


%install
install -d '%{buildroot}%{_datadir}/vim/vimfiles'
cp -rvp autoload plugin '%{buildroot}%{_datadir}/vim/vimfiles'


%check

%if %{with plugin_tests}
export EDITORCONFIG_VIM_EXTERNAL_CORE='%{_bindir}/editorconfig'
%{_bindir}/xvfb-run -a rspec tests/plugin/spec/editorconfig_spec.rb
%endif


%files
%license LICENSE LICENSE.PSF
%doc CONTRIBUTORS
%doc README.md
%doc doc/*.txt

%{_datadir}/vim/vimfiles/autoload/editorconfig.vim
%{_datadir}/vim/vimfiles/autoload/editorconfig_core.vim
%{_datadir}/vim/vimfiles/autoload/editorconfig_core
%{_datadir}/vim/vimfiles/plugin/editorconfig.vim


%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
